org.encog.ml.ea.genome

## Class BasicGenome

- java.lang.Object
- - org.encog.ml.ea.genome.BasicGenome

- All Implemented Interfaces:
    Serializable, Genome, MLMethod
  Direct Known Subclasses:
    DoubleArrayGenome, EncogProgram, IntegerArrayGenome, NEATGenome

      public abstract class BasicGenome
      extends Object
      implements Genome, Serializable

  A basic abstract genome. Provides base functionality.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BasicGenome()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `double` | `getAdjustedScore()` Get the adjusted score, this considers old-age penalties and youth bonuses.
    `int` | `getBirthGeneration()`
    `Population` | `getPopulation()`
    `double` | `getScore()`
    `Species` | `getSpecies()`
    `void` | `setAdjustedScore(double theAdjustedScore)` Set the adjusted score.
    `void` | `setBirthGeneration(int birthGeneration)` Set the birth genertion (or iteration).
    `void` | `setPopulation(Population thePopulation)` Set the population that this genome belongs to.
    `void` | `setScore(double theScore)` Set the score.
    `void` | `setSpecies(Species s)` Set the species for this genome.
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.encog.ml.ea.genome.Genome

      `copy, size`

- - ### Constructor Detail

    - #### BasicGenome

          public BasicGenome()

  - ### Method Detail

    - #### getAdjustedScore

          public double getAdjustedScore()

      Description copied from interface: `Genome`
      Get the adjusted score, this considers old-age penalties and youth bonuses. If there are no such bonuses or penalties, this is the same as the score.
      Specified by:
        `getAdjustedScore` in interface `Genome`
      Returns:
        The adjusted score, which considers bonuses.

    - #### getBirthGeneration

          public int getBirthGeneration()

      Specified by:
        `getBirthGeneration` in interface `Genome`
      Returns:
        the birthGeneration

    - #### getPopulation

          public Population getPopulation()

      Specified by:
        `getPopulation` in interface `Genome`
      Returns:
        the population

    - #### getScore

          public double getScore()

      Specified by:
        `getScore` in interface `Genome`
      Returns:
        The score.

    - #### setAdjustedScore

          public void setAdjustedScore(double theAdjustedScore)

      Set the adjusted score.
      Specified by:
        `setAdjustedScore` in interface `Genome`
      Parameters:
        `theAdjustedScore` - The score.

    - #### setBirthGeneration

          public void setBirthGeneration(int birthGeneration)

      Description copied from interface: `Genome`
      Set the birth genertion (or iteration).
      Specified by:
        `setBirthGeneration` in interface `Genome`
      Parameters:
        `birthGeneration` - the birthGeneration to set

    - #### setPopulation

          public void setPopulation(Population thePopulation)

      Description copied from interface: `Genome`
      Set the population that this genome belongs to.
      Specified by:
        `setPopulation` in interface `Genome`
      Parameters:
        `thePopulation` - the population to set

    - #### setScore

          public void setScore(double theScore)

      Set the score.
      Specified by:
        `setScore` in interface `Genome`
      Parameters:
        `theScore` - Set the score.

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### getSpecies

          public Species getSpecies()

      Specified by:
        `getSpecies` in interface `Genome`
      Returns:
        the species

    - #### setSpecies

          public void setSpecies(Species s)

      Description copied from interface: `Genome`
      Set the species for this genome.
      Specified by:
        `setSpecies` in interface `Genome`
      Parameters:
        `s` - the species to set

Copyright © 2014. All Rights Reserved.